/*
    Document   : ext-tfcc-custom.css
    Created on : Apr 23, 2010, 12:21:50 PM
    Author     : MGalbmillion
    Description:
        custom style rules
*/

/*Style rules required for the CRUD button images.*/
.btn-activate {
  background-image: url("../styles/tfccalert/images/icons/transmit.png") !important;
}
.btn-create {
  background-image: url("../styles/tfccalert/images/icons/add.png") !important;
}
.btn-modify {
  background-image: url("../styles/tfccalert/images/icons/pencil.png") !important;
}
.btn-delete {
  background-image: url("../styles/tfccalert/images/icons/delete.png") !important;
}
.btn-disk {
  background-image: url("../images/icons/silk/disk.png") !important;
}
.btn-download {
  background-image: url("../styles/tfccalert/images/icons/page_white_put.png") !important;
}
.btn-upload {
  background-image: url("../images/icons/silk/page_white_get.png") !important;
}
.btn-db-refresh {
  background-image: url("../images/icons/silk/database_refresh.png") !important;
}
.btn-inquiry {
  background-image: url("../images/icons/silk/help.png") !important;
}
.btn-passwd-reset {
  background-image: url("../images/icons/silk/lock_edit.png") !important;
}
.btn-printer {
  background-image: url("../images/icons/silk/printer.png") !important;
}
.btn-run {
  background-image: url("../styles/tfccalert/images/icons/application_lightning.png") !important;
}
.btn-progress {
  background-image: url("../styles/tfccalert/images/icons/chart_pie.png") !important;
}
.btn-add-group-member {
  background-image: url("../styles/tfccalert/images/icons/user_go.png") !important;
}
.btn-remove-group-member {
  background-image: url("../styles/tfccalert/images/icons/user_delete.png") !important;
}
.btn-refresh {
  background-image: url("../images/icons/silk/arrow_refresh.png") !important;
}
.btn-refresh-small {
  background-image: url("../images/icons/silk/arrow_refresh_small.png") !important;
}
.btn-reset {
  background-image: url("../images/icons/silk/arrow_undo.png") !important;
}
.btn-save-db {
  background-image: url("../images/icons/silk/database_save.png") !important;
}
.btn-suppress-disable {
  background-image: url("../images/icons/silk/transmit_delete.png");
}
.btn-suppress-enable {
  background-image: url("../images/icons/silk/transmit.png");
}
.btn-view-report {
  background-image: url("../images/icons/silk/chart_pie.png") !important;
}
.btn-view-report-details {
  background-image: url("../images/icons/silk/report.png") !important;
}
.btn-view-message {
  background-image: url("../images/icons/silk/eye.png") !important;
}
.btn-delete-all-contacts {
  background-image: url("../images/icons/silk/group_delete.png") !important;
}
.btn-phone-delete {
  background-image: url("../images/icons/silk/phone_delete.png") ! important;
}
/*Style rule for the quick search magnifying glass.*/
.icon-magnifier {
  background-image: url("../styles/tfccalert/images/icons/magnifier.png") !important;
}

/* quick search clear and serch triggers */
.x-form-field-wrap .x-form-clear-trigger {
  background-image: url("../js/extjs3/resources/images/default/form/clear-trigger.gif");
}
.x-form-field-wrap .x-form-search-trigger{
  background-image: url("../js/extjs3/resources/images/default/form/search-trigger.gif");
}

/* grid's reload toolbar button */
.x-tbar-loading {
  background-image: url("../js/extjs3/resources/images/default/grid/refresh.gif") !important;
}

/* background color for selected item in ListView */
.x-list-selected {
  background-color: #EEEEEE;
}


/* Fix icon placement to be closer to the text */
.x-btn-default-medium-icon-text-left .x-btn-inner {
  padding-left: 16px;
}
.x-btn-default-large-icon-text-left .x-btn-inner {
  padding-left: 16px;
}
.x-btn-default-medium .x-btn-inner {
  font-size: 12px;
}
.x-btn-default-large .x-btn-inner {
  font-size: 12px;
}

.x-btn-text-icon .x-btn-icon-medium-left .x-btn-text {
  padding-left: 16px;
}
.x-btn-text-icon .x-btn-icon-large-left .x-btn-text {
  padding-left: 16px;
}

/* icons */

.icon-clear-all {
  background-image: url("../images/icons/silk/cross.png") ! important;
}
.icon-check-comment {
  background-image: url("../images/icons/silk/user_comment.png") ! important;
}
.icon-check-in {
  background-image: url("../images/icons/silk/time_add.png") ! important;
}
.icon-check-out {
  background-image: url("../images/icons/silk/time_delete.png") ! important;
}
.icon-flag-green {
  background-image: url("../images/icons/silk/flag_green.png") ! important;
}
.icon-magnifier {
  background-image: url("../styles/tfccalert/images/icons/magnifier.png") ! important;
}
.icon-minus {
  background-image: url("../styles/tfccalert/images/icons/delete.png") ! important;
}
.icon-money {
  background-image: url("../images/icons/silk/money.png") ! important;
}
.icon-money-add {
  background-image: url("../images/icons/silk/money_add.png") ! important;
}
.icon-open-download {
  background-image: url("../styles/tfccalert/images/icons/application_put.png") ! important;
}
.icon-excel-download {
  background-image: url("../styles/tfccalert/images/icons/page_white_excel.png") ! important;
}
.icon-page-refresh {
  background-image: url("../styles/tfccalert/images/icons/page_refresh.png") ! important;
}
.icon-phone {
  background-image: url("../images/icons/silk/phone.png") ! important;
}
.icon-phone-delete {
  background-image: url("../images/icons/silk/phone_delete.png") ! important;
}
.icon-plus {
  background-image: url("../styles/tfccalert/images/icons/add.png") ! important;
}
.icon-refresh {
  background-image: url("../styles/tfccalert/images/icons/arrow_refresh.png") ! important;
}
.icon-save-script {
  background-image: url("../styles/tfccalert/images/icons/script_save.png") ! important;
}
.icon-shape-circle {
  background-image: url("../images/icons/silk/contrast_low.png") ! important;
}
.icon-shape-polygon {
  background-image: url("../images/icons/silk/shading.png") ! important;
}
.icon-shape-clear-tools {
  background-image: url("../images/icons/silk/cursor.png") ! important;
}
.icon-shape-full-extent {
  background-image: url("../images/icons/silk/map.png") ! important;
}
.icon-shape-rectangle {
  background-image: url("../images/icons/silk/shape_handles.png") ! important;
}
.icon-facebook {
  background-image: url("../images/iconFacebook.png") ! important;
}
.icon-facebook-revoke {
  background-image: url("../images/iconFacebook_revoke.png") ! important;
}
.icon-twitter {
  background-image: url("../images/iconTwitter.png") ! important;
}
.icon-twitter-revoke {
  background-image: url("../images/iconTwitter_revoke.png") ! important;
}
/* reporting grids cells */
.ux-grid3-report-grid-cell-result-code-fail {
  background-image: url("../images/icons/silk/cross.png");
  background-repeat: no-repeat;
  background-position: center center;
}
.ux-grid3-report-grid-cell-result-code-success {
  background-image: url("../images/icons/silk/tick.png");
  background-repeat: no-repeat;
  background-position: center center;
}
.ux-grid3-report-grid-cell-result-code-queue {
  background-image: url("../images/icons/silk/time.png");
  background-repeat: no-repeat;
  background-position: center center;
}

.ux-grid4-predefined-msg-grid-cell-suppressed {
  background-image: url("../images/icons/silk/tick.png");
  background-repeat: no-repeat;
  background-position: center center;
}

.ux-grid4-predefined-msg-grid-cell-unsuppressed {
  background-image: url("../styles/tfccalert/images/icons/transmit.png");
  background-repeat: no-repeat;
  background-position: center center;
}

.ux-grid4-sms-autoreply-keyword-grid-cell-connected,
.ux-grid4-predefined-msg-grid-cell-complete {
  background-image: url("../images/icons/silk/tick.png");
  background-repeat: no-repeat;
  background-position: center center;
}

.ux-grid4-sms-autoreply-keyword-grid-cell-unconnected,
.ux-grid4-predefined-msg-grid-cell-incomplete {
  background-image: url("../images/icons/silk/cross.png");
  background-repeat: no-repeat;
  background-position: center center;
}

/* invalid component */
.x-invalid {
  background-color:#FFFFFF;
  background-image: url("../js/extjs3/resources/images/default/grid/invalid_line.gif");
  border-color:#CC3300;
  border-width: 2px;
}

.x-invalid-text {
  /*background-color:#FFFFFF;*/
  color:#CC3300;
}

/* grid copy/paste */
.x-selectable, .x-selectable * {
  -moz-user-select: text!important;
  -khtml-user-select: text!important;
  -webkit-user-select: text !important;
}

/* copy/paste extjs4 */
.x-grid-row ,.x-grid-cell, .x-unselectable, .x-unselectable * {
  -webkit-user-select: text !important;
  -o-user-select: text !important;
  -khtml-user-select: all !important;
  -ms-user-select: text !important;
  user-select: text !important;
  -moz-user-select: text !important;
}


/* collapsed security group panel */
.user-groups-tree-crud .x-layout-collapsed-west {
  background-image: url("../images/userGroups.png");
  background-position: center center;
  background-repeat: no-repeat;
}

.client-tree-crud .x-layout-collapsed-west {
  background-image: url("../images/systemClients.png");
  background-position: center center;
  background-repeat: no-repeat;
}

/* mathe slot as recorded */
.recorded-slot {
  font-style: italic;
  color: #008000;
  text-decoration: line-through;
}

.recorded-slot-icon {
  background-image: url("../images/icons/silk/accept.png");
}

.audit-log-error {
  background-color: #7e2217 !important;
  color: #FFFFFF;
}

.audit-log-warn {
  background-color: #fbb117 !important;
  color: #FFFFFF;
}

.audit-log-info {
  background-color: #347235 !important;
  color: #FFFFFF;
}

.audit-log-debug {
  background-color: #153e7e !important;
  color: #FFFFFF;
}

.message-legacy-row {
  background-color: #CCFFCC;
}

.markOptedIn {
  background-image: url("../images/icons/silk/tick.png");
  background-repeat: no-repeat;
  background-position: center right;
}

.markOptedOut {
  background-image: url("../images/icons/silk/cross.png");
  background-repeat: no-repeat;
  background-position: center right;
}

/*  scenarioListView is unique class for cenario grid panels.
    Since ListView is gone, and GridPanel replaced it in extjs4,
    we need to strip borders from cells.
    (see home-main.js and grid-messages.js)
*/
.scenarioListView .x-panel-with-col-lines .x-grid-row .x-grid-cell {
  border-right-style:  none !important;
  padding-bottom: 5px;
  padding-top: 5px;
}
.scenarioListView .x-grid-row .x-grid-cell {
  border-style:  none !important;
  padding-bottom: 5px;
  padding-top: 5px;
}

.audit-log-link-url {
  font-weight: bolder;
  color: #23408F;
  cursor: pointer;
  text-decoration: none;
  background-color: transparent;
}

.audit-log-link-url:hover {
  background-color: transparent;
  color: #9C9C9C;
  font-weight: bold;
  cursor: pointer;
  text-decoration: none;
}

td.message_locked {
  background-image: url("../styles/tfccalert/images/icons/lock.png");
  background-repeat: no-repeat;
  background-position: left center;
}

td.message_locked .x-grid-cell-inner {
  /*margin-left: 16px;*/
  padding-left: 18px;
}

